part of 'plot_bloc.dart';

abstract class PlotEvent extends Equatable {
  const PlotEvent();

  @override
  List<Object> get props => [];
}

class DataFetched extends PlotEvent {}

class OnRefresh extends PlotEvent {}

class OnSearch extends PlotEvent {
  final String searchString;
  OnSearch({required this.searchString});
}
